
From: Alexander Nyberg <alexn@telia.com>

Make sure all arches take pt_regs * as argument to
machine_crash_shutdown().  (now cross-compiled on above arches except
s/390).

Signed-off-by: Alexander Nyberg <alexn@telia.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/kernel/machine_kexec.c   |    2 +-
 arch/ppc64/kernel/machine_kexec.c |    2 +-
 arch/s390/kernel/crash.c          |    2 +-
 arch/x86_64/kernel/crash.c        |    2 +-
 include/linux/kexec.h             |    2 ++
 include/linux/reboot.h            |    1 +
 6 files changed, 7 insertions(+), 4 deletions(-)

diff -puN arch/ppc64/kernel/machine_kexec.c~kdump-use-real-pt_regs-from-exception-fix-fix arch/ppc64/kernel/machine_kexec.c
--- 25/arch/ppc64/kernel/machine_kexec.c~kdump-use-real-pt_regs-from-exception-fix-fix	2005-05-25 05:29:40.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/machine_kexec.c	2005-05-25 05:29:40.000000000 -0700
@@ -34,7 +34,7 @@ note_buf_t crash_notes[NR_CPUS];
  * and if what it will achieve. Letting it be now to compile the code
  * in generic kexec environment
  */
-void machine_crash_shutdown(void)
+void machine_crash_shutdown(struct pt_regs *regs)
 {
 	/* do nothing right now */
 	/* smp_relase_cpus() if we want smp on panic kernel */
diff -puN arch/ppc/kernel/machine_kexec.c~kdump-use-real-pt_regs-from-exception-fix-fix arch/ppc/kernel/machine_kexec.c
--- 25/arch/ppc/kernel/machine_kexec.c~kdump-use-real-pt_regs-from-exception-fix-fix	2005-05-25 05:29:40.000000000 -0700
+++ 25-akpm/arch/ppc/kernel/machine_kexec.c	2005-05-25 05:29:40.000000000 -0700
@@ -34,7 +34,7 @@ void machine_shutdown(void)
 	}
 }
 
-void machine_crash_shutdown(void)
+void machine_crash_shutdown(struct pt_regs *regs)
 {
 	if (ppc_md.machine_crash_shutdown) {
 		ppc_md.machine_crash_shutdown();
diff -puN arch/s390/kernel/crash.c~kdump-use-real-pt_regs-from-exception-fix-fix arch/s390/kernel/crash.c
--- 25/arch/s390/kernel/crash.c~kdump-use-real-pt_regs-from-exception-fix-fix	2005-05-25 05:29:40.000000000 -0700
+++ 25-akpm/arch/s390/kernel/crash.c	2005-05-25 05:29:40.000000000 -0700
@@ -12,6 +12,6 @@
 
 note_buf_t crash_notes[NR_CPUS];
 
-void machine_crash_shutdown(void)
+void machine_crash_shutdown(struct pt_regs *regs)
 {
 }
diff -puN arch/x86_64/kernel/crash.c~kdump-use-real-pt_regs-from-exception-fix-fix arch/x86_64/kernel/crash.c
--- 25/arch/x86_64/kernel/crash.c~kdump-use-real-pt_regs-from-exception-fix-fix	2005-05-25 05:29:40.000000000 -0700
+++ 25-akpm/arch/x86_64/kernel/crash.c	2005-05-25 05:29:40.000000000 -0700
@@ -22,7 +22,7 @@
 
 note_buf_t crash_notes[NR_CPUS];
 
-void machine_crash_shutdown(void)
+void machine_crash_shutdown(struct pt_regs *regs)
 {
 	/* This function is only called after the system
 	 * has paniced or is otherwise in a critical state.
diff -puN include/linux/kexec.h~kdump-use-real-pt_regs-from-exception-fix-fix include/linux/kexec.h
--- 25/include/linux/kexec.h~kdump-use-real-pt_regs-from-exception-fix-fix	2005-05-25 05:29:40.000000000 -0700
+++ 25-akpm/include/linux/kexec.h	2005-05-25 05:29:40.000000000 -0700
@@ -124,6 +124,8 @@ extern struct kimage *kexec_image;
 extern struct resource crashk_res;
 
 #else /* !CONFIG_KEXEC */
+struct pt_regs;
+struct task_struct;
 static inline void crash_kexec(struct pt_regs *regs) { }
 static inline int kexec_should_crash(struct task_struct *p) { return 0; }
 #endif /* CONFIG_KEXEC */
diff -puN include/linux/reboot.h~kdump-use-real-pt_regs-from-exception-fix-fix include/linux/reboot.h
--- 25/include/linux/reboot.h~kdump-use-real-pt_regs-from-exception-fix-fix	2005-05-25 05:29:40.000000000 -0700
+++ 25-akpm/include/linux/reboot.h	2005-05-25 05:29:40.000000000 -0700
@@ -52,6 +52,7 @@ extern void machine_halt(void);
 extern void machine_power_off(void);
 
 extern void machine_shutdown(void);
+struct pt_regs;
 extern void machine_crash_shutdown(struct pt_regs *);
 
 #endif
_
